package AccessCheck::App::Step2;

use Mojo::Base qw(AccessCheck::App::Controller);

use English qw(-no_match_vars);
use Syntax::Keyword::Try;

sub run {
    my $self = shift;

    my $app    = $self->app();
    my $config = $app->config();
    my $log    = $app->log();

    my $l10n = $self->init_l10n();
    my $user = $self->init_user();
    my $db   = $self->init_db();

    if ($config->{app}->{login_url}) {
        return if !$self->check_authentication();
    }

    my $entityid = $self->param('entityid');
    my $sp = $self->get_sp(entityid => $entityid);
    return if !$sp;

    # override metadata contacts if needed
    $self->mock_contacts($sp);

    $self->stash(sp => $sp);
    $self->stash(entityid => $entityid);

    $self->render(
        status   => 200,
        template => 'step2',
        format   => 'html'
    );
}

1;
